MODCONF(8)

NAME
modconf - a module configuration utility

SYNOPSIS
modconf [--source [floppy|mounted]] [--target destination] [--libdir path] [--restrict-section section]* [--exclude-section section]* [--load-before module]* [--load-only module]* [--load-after module]*

DESCRIPTION
modconf is a script for installing kernel modules on Linux. It can be used interactively (GUI mode) or from the command-line (batch mode).

OPTIONS
The options marked with a "*" below are applied only to one module. If you want to apply them to more than one module then repeat the option in the command line.

--source floppy|mounted
    Indicates where the modules are to be obtained from. floppy is used when installing Linux. mounted is used on already installed Linux systems. This is the default.

--target directory
    specifies where the etc/modules and etc/modules.conf are to be found on the system (default: / ). Do not include a trailing "/" after the directory name.

--libdir path
    Indicates where the eval and descr.gz files are to be found on the system (default: /usr/lib/module_help). Do not include a trailing "/" after the directory name.

--restrict-section section*
    restricts modconf to only work with the specified section of /lib/modules

--exclude-section section*
    force modconf to not work with the specified section of /lib/modules
    Available sections at the time of this writting are: block cdrom fs ipv4 ipv6 misc net scsi (there may be others if you have installed packages with special modules, like pcmcia-modules).

--load-before module*
    indicates a module that will be inserted before any others.

--load-only module*
    specifies a module to be inserted after all those indicated with the --load-before option. Disables interactive mode.

--load-after module*
    specifies a module to be inserted after all those indicated with the --load-before option.
    This option is overriden by the previous one.

EXAMPLES

Examples below are untested

modconf --load-only plip --load-before ip_masq_ftp --load-only appletalk

Inserts modules "ip_masq_ftp", "plip" and "appletalk", in that order, and
    does not run the interactive program.

AUTHOR
modconf originally was written by Bruce Perens <bruce@pixar.com>.
Major changes were done by Sven Rudolph <sr1@inf.tu-dresden.de>.
More changes were done by Enrique Zanardi <ezanardi@ull.es>.
And more by Randolph Chung <tausq@debian.org>
This manpage was written by Antonio Vieiro Varela <antonio@faraday.usc.es>.

BUGS
None known.

SEE ALSO
insmod(1), modprobe(1), depmod(1), lsmod(1), rmmod(1), modules(2), kerneld(8).